# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductContext Class Reference

`#include <StepBasic_ProductContext.hxx>`

Inheritance diagram for StepBasic_ProductContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductContext ()
| Returns a ProductContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_ApplicationContext)&aFrameOfReference)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_ApplicationContext)&aFrameOfReference, const Handle(TCollection_HAsciiString)&aDisciplineType)
Standard_EXPORT void | SetDisciplineType (const Handle(TCollection_HAsciiString)&aDisciplineType)
Standard_EXPORT Handle_TCollection_HAsciiString | DisciplineType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | disciplineType

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductContext::StepBasic_ProductContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductContext::DisciplineType | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ApplicationContextElement. Reimplemented in StepBasic_MechanicalContext.

virtual Standard_EXPORT void StepBasic_ProductContext::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_ApplicationContext)& | aFrameOfReference,
|  | const Handle(TCollection_HAsciiString)& | aDisciplineType
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_ProductContext::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_ApplicationContext)& | aFrameOfReference
| ) | `[virtual]`

| Reimplemented from StepBasic_ApplicationContextElement.

Standard_EXPORT void StepBasic_ProductContext::SetDisciplineType | ( | const Handle(TCollection_HAsciiString)& | aDisciplineType | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductContext::disciplineType `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductContext.hxx